org.apache.commons.jexl.util

## Class ArrayListWrapper

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList
    - - org.apache.commons.jexl.util.ArrayListWrapper

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List

    public class ArrayListWrapper
    extends java.util.AbstractList

A class that wraps an array with a List interface.

Version:
  $Revision$ $Date: 2006-04-14 19:40:41 $
Author:
  Chris Schultz <chris@christopherschultz.net$gt;

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`ArrayListWrapper(java.lang.Object array)`

### Method Summary

Methods
`java.lang.Object` `get(int index)`
`java.lang.Object` `set(int index, java.lang.Object element)`
`int` `size()`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

### Constructor Detail

#### ArrayListWrapper

    public ArrayListWrapper(java.lang.Object array)

### Method Detail

#### get

    public java.lang.Object get(int index)

Specified by:
  `get` in interface `java.util.List`
Specified by:
  `get` in class `java.util.AbstractList`

#### set

    public java.lang.Object set(int index,
                       java.lang.Object element)

Specified by:
  `set` in interface `java.util.List`
Overrides:
  `set` in class `java.util.AbstractList`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Collection`
Specified by:
  `size` in interface `java.util.List`
Specified by:
  `size` in class `java.util.AbstractCollection`